Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # IxEthMii.h File Reference this file contains the public API of IXP425 Ethernet Phy Access (IxEthMii) API component More... Go to the source code of this file.
## Functions
IX_STATUS | ixEthMiiPhyScan (BOOL phyPresent[], UINT32 maxPhyCount)
| Scan the MDIO bus for PHYs This function scans PHY addresses 0 through 31, and sets phyPresent[n] to TRUE if a phy is discovered at address n.
IX_STATUS | ixEthMiiPhyConfig (UINT32 phyAddr, BOOL speed100, BOOL fullDuplex, BOOL autonegotiate)
| Configure a PHY Configure a PHY's speed, duplex and autonegotiation status.
IX_STATUS | ixEthMiiPhyLoopbackEnable (UINT32 phyAddr)
| Enable PHY Loopback in a specific Eth MII port.
IX_STATUS | ixEthMiiPhyLoopbackDisable (UINT32 phyAddr)
| Disable PHY Loopback in a specific Eth MII port.
IX_STATUS | ixEthMiiPhyReset (UINT32 phyAddr)
| Reset a PHY Reset a PHY.
IX_STATUS | ixEthMiiLinkStatus (UINT32 phyAddr, BOOL *linkUp, BOOL *speed100, BOOL *fullDuplex, BOOL *autoneg)
| Retrieve the current status of a PHY Retrieve the link, speed, duplex and autonegotiation status of a PHY.
IX_STATUS | ixEthMiiPhyShow (UINT32 phyAddr)
| Display information on a specified PHY Display link status, speed, duplex and Auto Negotiation status.
## Detailed Description this file contains the public API of IXP425 Ethernet Phy Access (IxEthMii) API component Design notes : The main intent of this API is to inplement MII high level fonctionalitoes to support the codelets provided with the IXP425 software releases. It superceedes previous interfaces provided with component. This API has been tested with the PHYs provided with the IXP425 development platforms. It may not work for specific Ethernet PHYs used on specific boards. This source code detects and interface the LXT972, LXT973 and KS6995 Ethernet PHYs. This source code should be considered as an example which may need to be adapted for different hardware implementations. It is strongly recommended to use public domain and GPL utilities like libmii, mii-diag for MII interface support. Version: Revision 1.10 -- Intel Copyright Notice -- Copyright 2002-2003 Intel Corporation All Rights Reserved. The source code contained or described herein and all documents related to the source code ("Material") are owned by Intel Corporation or its suppliers or licensors. Title to the Material remains with Intel Corporation or its suppliers and licensors. The Material is protected by worldwide copyright and trade secret laws and treaty provisions. No part of the Material may be used, copied, reproduced, modified, published, uploaded, posted, transmitted, distributed, or disclosed in any way except in accordance with the applicable license agreement . No license under any patent, copyright, trade secret or other intellectual property right is granted to or conferred upon you by disclosure or delivery of the Materials, either expressly, by implication, inducement, estoppel, except in accordance with the applicable license agreement. Unless otherwise agreed by Intel in writing, you may not remove or alter this notice or any other notice embedded in Materials by Intel or Intel's suppliers or licensors in any way. For further details, please see the file README.TXT distributed with this software. -- End Intel Copyright Notice -- Definition in file IxEthMii.h.
Automatically generated from sources. © Intel Corp. 2003